package com.ruoyi.interfaces.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模型参数信息对象 md_model_params
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public class MdModelParams extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模型参数标识 */
    @ApiModelProperty("模型参数标识")
    private String parId;

    /** 模型标识ID */
    @ApiModelProperty("模型标识ID")
    private String mdid;

    /** 参数名称 */
    @ApiModelProperty("参数名称")
    @Excel(name = "参数名称")
    private String parName;

    /** 参数类型 */
    @ApiModelProperty("参数类型")
    @Excel(name = "参数类型")
    private String parType;

    /** 参数数据类型 */
    @ApiModelProperty("参数数据类型")
    @Excel(name = "参数数据类型")
    private String parDataType;

    /** 参数数据范围 */
    @ApiModelProperty("参数数据范围")
    @Excel(name = "参数数据范围")
    private String parDataRange;

    /** 模型参数单位 */
    @ApiModelProperty("模型参数单位")
    @Excel(name = "模型参数单位")
    private String parDataUnit;

    /** 模型参数权重 */
    @ApiModelProperty("模型参数权重")
    @Excel(name = "模型参数权重")
    private String parDataWeight;

    /** 参数文件路径 */
    @ApiModelProperty("参数文件路径")
    @Excel(name = "参数文件路径")
    private String parFilePath;

    /** 参数文件名称 */
    @ApiModelProperty("参数文件名称")
    @Excel(name = "参数文件名称")
    private String parFileName;

    /** 参数状态 */
    @ApiModelProperty("参数状态")
    @Excel(name = "参数状态")
    private String parStatus;

    /** 编辑时间 */
    @ApiModelProperty("编辑时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "编辑时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyBy;

    public void setParId(String parId) 
    {
        this.parId = parId;
    }

    public String getParId() 
    {
        return parId;
    }
    public void setMdid(String mdid) 
    {
        this.mdid = mdid;
    }

    public String getMdid() 
    {
        return mdid;
    }
    public void setParName(String parName) 
    {
        this.parName = parName;
    }

    public String getParName() 
    {
        return parName;
    }
    public void setParType(String parType) 
    {
        this.parType = parType;
    }

    public String getParType() 
    {
        return parType;
    }
    public void setParDataType(String parDataType) 
    {
        this.parDataType = parDataType;
    }

    public String getParDataType() 
    {
        return parDataType;
    }
    public void setParDataRange(String parDataRange) 
    {
        this.parDataRange = parDataRange;
    }

    public String getParDataRange() 
    {
        return parDataRange;
    }
    public void setParDataUnit(String parDataUnit) 
    {
        this.parDataUnit = parDataUnit;
    }

    public String getParDataUnit() 
    {
        return parDataUnit;
    }
    public void setParDataWeight(String parDataWeight) 
    {
        this.parDataWeight = parDataWeight;
    }

    public String getParDataWeight() 
    {
        return parDataWeight;
    }
    public void setParFilePath(String parFilePath) 
    {
        this.parFilePath = parFilePath;
    }

    public String getParFilePath() 
    {
        return parFilePath;
    }
    public void setParFileName(String parFileName) 
    {
        this.parFileName = parFileName;
    }

    public String getParFileName() 
    {
        return parFileName;
    }
    public void setParStatus(String parStatus) 
    {
        this.parStatus = parStatus;
    }

    public String getParStatus() 
    {
        return parStatus;
    }
    public void setModifyBy(Date modifyBy) 
    {
        this.modifyBy = modifyBy;
    }

    public Date getModifyBy() 
    {
        return modifyBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("parId", getParId())
            .append("mdid", getMdid())
            .append("parName", getParName())
            .append("parType", getParType())
            .append("parDataType", getParDataType())
            .append("parDataRange", getParDataRange())
            .append("parDataUnit", getParDataUnit())
            .append("parDataWeight", getParDataWeight())
            .append("parFilePath", getParFilePath())
            .append("parFileName", getParFileName())
            .append("parStatus", getParStatus())
            .append("createBy", getCreateBy())
            .append("modifyBy", getModifyBy())
            .toString();
    }

    public MdModelParams(String parId, String mdid, String parName, String parType, String parDataType, String parDataRange, String parDataUnit, String parDataWeight, String parFilePath, String parFileName, String parStatus, Date modifyBy) {
        this.parId = parId;
        this.mdid = mdid;
        this.parName = parName;
        this.parType = parType;
        this.parDataType = parDataType;
        this.parDataRange = parDataRange;
        this.parDataUnit = parDataUnit;
        this.parDataWeight = parDataWeight;
        this.parFilePath = parFilePath;
        this.parFileName = parFileName;
        this.parStatus = parStatus;
        this.modifyBy = modifyBy;
    }

    public MdModelParams() {
    }
}
